> For the complete documentation index, see [llms.txt](https://docs.otterspace.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otterspace.xyz/documentation/contracts/create-a-badge-spec.md).

# Create a Badge Spec

```json
{
   "schema":"<https://api.otterspace.xyz/schemas/badge/1.0.1.json>",
   "name":"First Badge",
   "description":"Otterspace Badge",
   "properties":{
      "raftTokenId":"90",
      "createdByAddress":"0xeD40624Deb1202e63D0729b6411FfA0Efb333aD9",
    "expiresAt": "2023-07-21T13:57:28.882Z"
   },
   "image":"ipfs://bafybeifqjf35xulfl46uauwbsqbrjgxa4d3iybjvdq7bo6xzdlaq6mpr6u/image"
}
```

Badges are maximally backward compatible with ERC-721 and hence we use NFT metadata to represent the Badge Spec.&#x20;

The example Badge Spec above is hosted on IPFS at

{% embed url="<https://ipfs.io/ipfs/bafyreigrhoupt3dcjuadq7i34cetwla2axfwayyszffoixfrrmr2ttthoe/metadata.json>" %}

Before issuing Badges to Ethereum Accounts, you need to create a Spec like the one above and upload it to IPFS.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otterspace.xyz/documentation/contracts/create-a-badge-spec.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
